Bug 6907 - --enable-dbc-history
: --enable-dbc-history
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fidogate)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-05-19 23:56 by
Modified: 2005-06-14 09:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-19 23:56:16
Хотелось бы, чобы fidogate по дефолту был собран с опцией --enable-dbc-history.

---
  Q12:Может будут какие-то рекомендации на счет сборки fidogate-ds для
      крупного и мелкого гейта?

  A12:Для персонального гейта, которым будет пользоваться 1 человек, fidogate
      лучше собирать с опцией:
      ===
      ./configure --enable-dbc-history
      ===
      Оно же для freebsd порта WITH_DBC=yes. Тогда fidogate будет вести
      базу соответствия MSGID/Message-ID и при FIDO_MSGID, с которым по
      умолчанию собирается fidogate, не будут рваться треды и можно
      настраивать скоринг на свой Message-ID.

      Для крупного гейта:
      ===
      ./configure --disable-fs-msgid
      ===
      Оно же для freebsd порта WITHOUT_FMSGID=yes. Тогда fidogate будет
      писать в MSGID полный фидошный Message-ID. Еще рекомендую для
      совместимости с ifmail гейтами в fidogate.conf прописать опцию
      GateRfcKludge и RFCLevel 2. Это - оптимальные параметры.
      Категорически не рекомендую собирать fidogate для крупного гейта
      без опции --disable-fs-msgid, иначе будут возникать ломанные
      фидошные REPLY и с интернет-стороны невозможно будет пользоваться
      скорингом. Если скоринг еще можно починить пользуясь dbc-history,
      то ломанные REPLY будут постоянно.
---


Имхо персональных и мелких гейтов всяко больше, чем крупных...
------- Comment #1 From 2005-05-20 13:12:17 -------
Agree. Fixed in 5.2.1-alt4